---
title: '<dd>: The Description Details element'
slug: Web/HTML/Element/dd
tags:
  - Definition
  - Description Details
  - Element
  - HTML
  - HTML grouping content
  - Reference
  - Web
  - dd
  - description list
  - details
---
<div>{{HTMLRef}}</div>

<p><span class="seoSummary">The <strong>HTML <code>&lt;dd&gt;</code> element</strong> provides the description, definition, or value for the preceding term ({{HTMLElement("dt")}}) in a description list ({{HTMLElement("dl")}}).</span></p>

<div>{{EmbedInteractiveExample("pages/tabbed/dd.html", "tabbed-standard")}}</div>

<p class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples </a> and send us a pull request.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row"><a href="/en-US/docs/Web/Guide/HTML/Content_categories">Content categories</a></th>
   <td>None.</td>
  </tr>
  <tr>
   <th scope="row">Permitted content</th>
   <td><a href="/en-US/docs/Web/Guide/HTML/Content_categories#Flow_content">Flow content</a>.</td>
  </tr>
  <tr>
   <th scope="row">Tag omission</th>
   <td>The start tag is required. The end tag may be omitted if the {{HTMLElement("dd")}} element is immediately followed by another <code>&lt;dd&gt;</code> element or a {{HTMLElement("dt")}} element, or if there is no more content in the parent element.</td>
  </tr>
  <tr>
   <th scope="row">Permitted parents</th>
   <td>{{HTMLElement("dl")}} or (in <a href="/en-US/docs/Glossary/WHATWG">WHATWG</a> HTML) a {{HTMLElement("div")}} that is inside a {{HTMLElement("dl")}}.</td>
  </tr>
  <tr>
   <th scope="row">Previous sibling</th>
   <td>{{HTMLElement("dt")}} or another {{HTMLElement("dd")}} element.</td>
  </tr>
  <tr>
   <th scope="row">Implicit ARIA role</th>
   <td>{{ARIARole("definition")}}</td>
  </tr>
  <tr>
   <th scope="row">Permitted ARIA roles</th>
   <td>No <code>role</code> permitted</td>
  </tr>
  <tr>
   <th scope="row">DOM interface</th>
   <td>{{domxref("HTMLElement")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Attributes">Attributes</h2>

<p>This element's attributes include the <a href="/en-US/docs/Web/HTML/Global_attributes">global attributes</a>.</p>

<dl>
 <dt>{{htmlattrdef("nowrap")}} {{Non-standard_inline}}</dt>
 <dd>If the value of this attribute is set to <code>yes</code>, the definition text will not wrap. The default value is <code>no</code>.</dd>
</dl>

<h2 id="Example">Example</h2>

<p>For an example, see <a href="/en-US/docs/Web/HTML/Element/dl#examples">&lt;dl&gt; examples</a>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'semantics.html#the-dd-element', '&lt;dd&gt;')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', 'grouping-content.html#the-dd-element', '&lt;dd&gt;')}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML4.01', 'struct/lists.html#h-10.3', '&lt;dd&gt;')}}</td>
   <td>{{Spec2('HTML4.01')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.elements.dd")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTMLELement("dl")}}</li>
 <li>{{HTMLElement("dt")}}</li>
</ul>
